Index: trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CashKarpRKF45.hh,v 1.11 2008/01/11 15:23:54 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4CashKarpRKF45.hh,v 1.12 2010/07/14 10:00:36 gcosmo Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -88,13 +88,14 @@
   private:
 
-   // G4int fNumberOfVariables ;  // Already kept in G4MagIntegratorStepper
-   G4double *ak2, *ak3, *ak4, *ak5, *ak6, *ak7, *yTemp, *yIn;  // scratch space
+    G4double *ak2, *ak3, *ak4, *ak5, *ak6, *ak7, *yTemp, *yIn;
+      // scratch space
 
-  // for DistChord calculations
+    G4double fLastStepLength;
+    G4double *fLastInitialVector, *fLastFinalVector,
+             *fLastDyDx, *fMidVector, *fMidError;
+      // for DistChord calculations
 
-  G4double fLastStepLength;
-  G4double *fLastInitialVector, *fLastFinalVector,
-           *fLastDyDx, *fMidVector, *fMidError;
-  G4CashKarpRKF45* fAuxStepper; 
+    G4CashKarpRKF45* fAuxStepper; 
+
 };
 
Index: trunk/source/geometry/magneticfield/include/G4ConstRK4.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ConstRK4.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4ConstRK4.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ConstRK4.hh,v 1.2 2008/10/29 14:17:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4ConstRK4.hh,v 1.3 2010/09/10 15:50:17 japost Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 // 
@@ -54,5 +54,5 @@
    public:  // with description
 
-     G4ConstRK4(G4Mag_EqRhs *EquationMotion, G4int numberOfVariables = 8);
+    G4ConstRK4(G4Mag_EqRhs *EquationMotion, G4int numberOfStateVariables=8);
     ~G4ConstRK4();
 
Index: trunk/source/geometry/magneticfield/include/G4EqEMFieldWithEDM.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EqEMFieldWithEDM.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4EqEMFieldWithEDM.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EqEMFieldWithEDM.hh,v 1.1 2009/11/04 23:51:42 gum Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4EqEMFieldWithEDM.hh,v 1.2 2010/07/14 10:00:36 gcosmo Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -78,9 +78,8 @@
     G4double fElectroMagCof ;
     G4double fMassCof;
-
     G4double omegac;
     G4double anomaly;
     G4double eta;
-    G4double ParticleCharge;
+    G4double pcharge;
     G4double E;
     G4double gamma;
Index: trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EqEMFieldWithSpin.hh,v 1.3 2008/11/14 13:37:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4EqEMFieldWithSpin.hh,v 1.4 2010/07/14 10:00:36 gcosmo Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -73,8 +73,7 @@
     G4double fElectroMagCof ;
     G4double fMassCof;
-
     G4double omegac;
     G4double anomaly;
-    G4double ParticleCharge;
+    G4double pcharge;
     G4double E;
     G4double gamma;
Index: trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ExactHelixStepper.hh,v 1.5 2007/05/18 12:50:31 tnikitin Exp $ 
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4ExactHelixStepper.hh,v 1.7 2010/07/21 13:45:37 tnikitin Exp $ 
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -82,12 +82,8 @@
    
   private:
-    G4ThreeVector    fBfieldValue;   //  Initial value of field at last step
-    G4ThreeVector    yInitialEHS,  yFinalEHS;  
-    G4ThreeVector    pInitial;
-    G4double         fLastStepSize;  // Length of last step
-    G4double         fYInSav[7];     // Starting state of  x, p, ...
-     // Values saved for calculating mid-point for chord
 
-     G4Mag_EqRhs*  fPtrMagEqOfMot;
+    G4ThreeVector    fBfieldValue;
+      //  Initial value of field at last step
+    G4Mag_EqRhs*  fPtrMagEqOfMot;
 };
 
Index: trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MagErrorStepper.hh,v 1.11 2006/06/29 18:22:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4MagErrorStepper.hh,v 1.12 2010/09/10 15:52:53 japost Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -52,6 +52,5 @@
   public:  // with description
 
-    // G4MagErrorStepper(G4Mag_EqRhs *EqRhs, G4int numberOfVariables);
-    G4MagErrorStepper(G4EquationOfMotion *EqRhs, G4int numberOfVariables);
+    G4MagErrorStepper(G4EquationOfMotion *EqRhs, G4int numberOfVariables, G4int numStateVariables=12);
     virtual ~G4MagErrorStepper();
   
Index: trunk/source/geometry/magneticfield/include/G4MagErrorStepper.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagErrorStepper.icc	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4MagErrorStepper.icc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MagErrorStepper.icc,v 1.13 2006/06/29 18:22:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4MagErrorStepper.icc,v 1.14 2010/09/10 15:52:53 japost Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 // --------------------------------------------------------------------
@@ -32,6 +32,7 @@
 inline
 G4MagErrorStepper::G4MagErrorStepper(G4EquationOfMotion *EquationRhs,
-                                     G4int numberOfVariables)
-     : G4MagIntegratorStepper(EquationRhs,numberOfVariables)
+                                     G4int numberOfVariables, 
+				     G4int numStateVariables)
+     : G4MagIntegratorStepper(EquationRhs,numberOfVariables,numStateVariables)
   {
       G4int nvar = std::max(this->GetNumberOfVariables(), 8);
Index: trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4MagIntegratorDriver.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MagIntegratorDriver.hh,v 1.20 2007/05/10 10:10:05 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4MagIntegratorDriver.hh,v 1.21 2010/07/14 10:00:36 gcosmo Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -241,6 +241,6 @@
      G4int  fNoTotalSteps, fNoBadSteps, fNoSmallSteps, fNoInitialSmallSteps; 
      G4double fDyerr_max, fDyerr_mx2;
-     G4double fDyerrPos_smTot, fDyerrVel_smTot, fDyerrPos_lgTot, fDyerrVel_lgTot; 
-     G4double fSumH_sm,   fSumH_lg; 
+     G4double fDyerrPos_smTot, fDyerrPos_lgTot, fDyerrVel_lgTot; 
+     G4double fSumH_sm, fSumH_lg; 
         // Step Statistics 
 
Index: trunk/source/geometry/magneticfield/include/G4Mag_SpinEqRhs.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4Mag_SpinEqRhs.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4Mag_SpinEqRhs.hh	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mag_SpinEqRhs.hh,v 1.11 2006/06/29 18:23:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4Mag_SpinEqRhs.hh,v 1.12 2010/07/14 10:00:36 gcosmo Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -75,6 +75,5 @@
      G4double omegac;
      G4double anomaly;
-     G4double ParticleCharge;
-
+     G4double pcharge;
      G4double E;
      G4double gamma;
Index: trunk/source/geometry/magneticfield/include/G4NystromRK4.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4NystromRK4.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4NystromRK4.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4NystromRK4.hh,v 1.3 2009/11/12 15:01:36 japost Exp $ 
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4NystromRK4.hh,v 1.4 2010/07/14 10:00:36 gcosmo Exp $ 
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 // class G4NystromRK4
@@ -123,6 +123,6 @@
   G4double dz = P[2]-m_fldPosition[2];
 
-  if((dx*dx+dy*dy+dz*dz) > m_magdistance2) {
-
+  if((dx*dx+dy*dy+dz*dz) > m_magdistance2)
+  {
     m_fldPosition[0] = P[0];
     m_fldPosition[1] = P[1];
Index: trunk/source/geometry/magneticfield/include/G4RKG3_Stepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4RKG3_Stepper.hh	(revision 1337)
+++ trunk/source/geometry/magneticfield/include/G4RKG3_Stepper.hh	(revision 1340)
@@ -26,6 +26,6 @@
 //
 //
-// $Id: G4RKG3_Stepper.hh,v 1.13 2007/05/18 12:44:02 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4RKG3_Stepper.hh,v 1.14 2010/07/23 14:13:09 tnikitin Exp $
+// GEANT4 tag $Name: field-V09-03-03 $
 //
 //
@@ -69,8 +69,8 @@
     G4double  DistChord() const ;
  
-    void StepNoErr( const G4double tIn[7],
-                    const G4double dydx[7],
+    void StepNoErr( const G4double tIn[8],
+                    const G4double dydx[6],
                           G4double Step,
-                          G4double tOut[7],
+                          G4double tOut[8],
                           G4double B[3] );
       // Integrator RK Stepper from G3 with only two field evaluation per 
@@ -79,8 +79,8 @@
       // B[3] is magnetic field which is passed from substep to substep.
 
-    void StepWithEst( const G4double  tIn[7],
-                      const G4double dydx[7],
+    void StepWithEst( const G4double  tIn[8],
+                      const G4double dydx[6],
                             G4double Step,
-                            G4double tOut[7],
+                            G4double tOut[8],
                             G4double& alpha2,
                             G4double& beta2,
